Bug 9752 - Set marcflavor = normarc when NORMARC is chosen in the web installer
Summary: Set marcflavor = normarc when NORMARC is chosen in the web installer
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Magnus Enger
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-06 10:28 UTC by Magnus Enger
Modified: 2013-12-05 20:06 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9752 - Set marcflavour = NORMARC when NORMARC is chosen (2.09 KB, patch)
2013-03-06 14:25 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 9752: Set marcflavour to NORMARC when NORMARC is chosen (2.14 KB, patch)
2013-03-12 22:30 UTC, Galen Charlton
Details | Diff | Splinter Review
[PASSED QA] Bug 9752: Set marcflavour to NORMARC when NORMARC is chosen (2.28 KB, patch)
2013-03-30 19:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2013-03-06 10:28:40 UTC
I thought this was already being done, but alas. If you do a web install in Norwegian and choose NORMARC as the MARC dialect, the marcflavor syspref gets set to MARC21, not NORMARC. 

I hope the solution can be as simple as including something like this in the SQL file for the default NORMARC framework:

UPDATE systempreferences SET value = 'normarc' WHERE variable = 'marcflavor';

But I will have to look at the order in which things are loaded by the webinstaller first.
Comment 1 Magnus Enger 2013-03-06 14:25:26 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2013-03-06 14:26:29 UTC
So the solution was not in the SQL file as I initially thought, but in Installer.pm.
Comment 3 Galen Charlton 2013-03-12 22:30:41 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2013-03-30 19:58:47 UTC
Created attachment 17052 [details] [review]
[PASSED QA] Bug 9752: Set marcflavour to NORMARC when NORMARC is chosen

Currently, if you install the Norwegian translations and run
through the web installer in Norwegian, choosing NORMARC as you
marcflavour, the marcflavour syspref is set to MARC21.

To test:
- Apply the patch
- Install nb-NO
- Run through the web installer, choosing nb-NO as the language
- Choose NORMARC as the MARC dialect
- When the web installer is done, check the value of the
  marcflavour syspref. It should be NORMARC, not MARC21.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Did a regression test installing UNIMARC too.
All tests and QA script pass.
Comment 5 Jared Camins-Esakov 2013-03-31 02:51:56 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-03-31 06:49:56 UTC
Pushed to 3.10.x will be in 3.10.5
Comment 7 Magnus Enger 2013-04-03 19:27:15 UTC
Works as expected (tested with packages built off current master).